import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";
import { Permission } from "@/js/contexts/shared/models/Permission";

const routes: RouteRecordRaw[] = [
  {
    name: "admin.user_roles",
    path: "/admin/user-roles",
    component: () => import("@/js/contexts/admin/user-roles/ui/pages/UserRolesListPage.vue"),
    meta: {
      middleware: [Middleware.auth],
      permissions: [Permission.ADMIN_USER_ROLES_VIEW],
    },
    children: [
      {
        name: "admin.user_roles.create",
        path: "/admin/user-roles/create",
        component: () => import("@/js/contexts/admin/user-roles/ui/pages/UserRolesCreatePage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_USER_ROLES_CREATE],
        },
      },
      {
        name: "admin.user_roles.update",
        path: "/admin/user-roles/:id",
        component: () => import("@/js/contexts/admin/user-roles/ui/pages/UserRolesUpdatePage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_USER_ROLES_UPDATE],
        },
      },
    ],
  },
];

export default routes;
